#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartLagTimeV3[] cacheChartLagTimeV3;

		
		public ChartLagTimeV3 ChartLagTimeV3(double lagTolerance1, double lagTolerance2, NinjaTrader.Gui.Tools.SimpleFont fontToUse)
		{
			return ChartLagTimeV3(Input, lagTolerance1, lagTolerance2, fontToUse);
		}


		
		public ChartLagTimeV3 ChartLagTimeV3(ISeries<double> input, double lagTolerance1, double lagTolerance2, NinjaTrader.Gui.Tools.SimpleFont fontToUse)
		{
			if (cacheChartLagTimeV3 != null)
				for (int idx = 0; idx < cacheChartLagTimeV3.Length; idx++)
					if (cacheChartLagTimeV3[idx].LagTolerance1 == lagTolerance1 && cacheChartLagTimeV3[idx].LagTolerance2 == lagTolerance2 && cacheChartLagTimeV3[idx].FontToUse == fontToUse && cacheChartLagTimeV3[idx].EqualsInput(input))
						return cacheChartLagTimeV3[idx];
			return CacheIndicator<ChartLagTimeV3>(new ChartLagTimeV3(){ LagTolerance1 = lagTolerance1, LagTolerance2 = lagTolerance2, FontToUse = fontToUse }, input, ref cacheChartLagTimeV3);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartLagTimeV3 ChartLagTimeV3(double lagTolerance1, double lagTolerance2, NinjaTrader.Gui.Tools.SimpleFont fontToUse)
		{
			return indicator.ChartLagTimeV3(Input, lagTolerance1, lagTolerance2, fontToUse);
		}


		
		public Indicators.ChartLagTimeV3 ChartLagTimeV3(ISeries<double> input , double lagTolerance1, double lagTolerance2, NinjaTrader.Gui.Tools.SimpleFont fontToUse)
		{
			return indicator.ChartLagTimeV3(input, lagTolerance1, lagTolerance2, fontToUse);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartLagTimeV3 ChartLagTimeV3(double lagTolerance1, double lagTolerance2, NinjaTrader.Gui.Tools.SimpleFont fontToUse)
		{
			return indicator.ChartLagTimeV3(Input, lagTolerance1, lagTolerance2, fontToUse);
		}


		
		public Indicators.ChartLagTimeV3 ChartLagTimeV3(ISeries<double> input , double lagTolerance1, double lagTolerance2, NinjaTrader.Gui.Tools.SimpleFont fontToUse)
		{
			return indicator.ChartLagTimeV3(input, lagTolerance1, lagTolerance2, fontToUse);
		}

	}
}

#endregion
